### R code from vignette source 'pim.legacy.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: pim.legacy.Rnw:61-81
###################################################
	library(pimold)
	set.seed(1)
	wmw1<-demo.WilcoxonMannWhitney()
	wmw1$pim2<-pim(y~F(x)-1, data=wmw1$dta, link="identity", poset=lexiposet, 
								 varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0, 
								 interpretation="regular")
	wmw1$pim2
	
	#Simplified formulas
	simplifiedpimestimation.pairwisecoefficients(wmw1$dta, out="y", group="x")$beta
	simplifiedpimestimation.pairwisecovariance(wmw1$dta, out="y", group="x")
	#From applying generic code:
	wmw1$pim2$coefficients
	wmw1$pim2$vcov[1,1]
	
	#Standardized WMW based on wilcoxon test
	wmw1$legacy<-legacy.WilcoxonMannWhitney(data=wmw1$dta, out="y", group="x")
	wmw1$legacy$statistic
	wmw1$legacy$conversion(wmw1$pim2$coefficients, wmw1$pim2$vcov)
	classical.test(test="WilcoxonMannWhitney", data=wmw1$dta, out="y", group="x")$statistic


###################################################
### code chunk number 2: pim.legacy.Rnw:87-104
###################################################
	kw1<-demo.KruskalWallis()
	kw1$pim3<-pim(y~F(x)-1, data=kw1$dta, link="identity", poset=fullposet, interpretation="marginal", 
								varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0)
	kw1$pim3

	#Simplified formulas (lemma 1)
	simplifiedpimestimation.marginalcoefficients(kw1$dta, out="y", group="x")
	simplifiedpimestimation.marginalcovariance(kw1$dta, out="y", group="x")
	#From applying generic code:
	kw1$pim3$coefficients
	kw1$pim3$vcov
	
	#Standardized KW based on Kruskal-Wallis test
	kw1$legacy<-legacy.KruskalWallis(data=kw1$dta, out="y", group="x")
	kw1$legacy$statistic
	kw1$legacy$conversion(kw1$pim3$coefficients, kw1$pim3$vcov)
	classical.test(test="KruskalWallis", data=kw1$dta, out="y", group="x")$statistic


###################################################
### code chunk number 3: pim.legacy.Rnw:110-128
###################################################
	mss1<-demo.MackSkillings()
	mss1$pim1<-pim(y~F(x)-1, data=mss1$dta, link="identity", blocking.variables="b", 
								 poset=fullposet, interpretation="marginal", 
								 varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0)
	mss1$pim1
	
	#Simplified formulas (lemma 4)
	simplifiedpimestimation.marginalcoefficients(mss1$dta, out="y", group="x", block="b")
	simplifiedpimestimation.marginalcovariance(mss1$dta, out="y", group="x", block="b")
	#From applying generic code:
	mss1$pim1$coefficients
	mss1$pim1$vcov
	
	#Standardized MS based on Mack-Skillings test
	mss1$legacy<-legacy.MackSkillings(data=mss1$dta, out="y", group="x", block="b")
	mss1$legacy$statistic
	mss1$legacy$conversion(mss1$pim1$coefficients, mss1$pim1$vcov)
	classical.test(test="MackSkillings", data=mss1$dta, out="y", group="x", block="b")$statistic


###################################################
### code chunk number 4: pim.legacy.Rnw:134-152
###################################################
	bh1<-demo.BrownHettmansperger()
	bh1$pim1<-pim(y~F(x)-1, data=bh1$dta, link="identity", poset=fullposet, 
								varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0, 
								interpretation="regular")
	bh1$pim1
	
	#Simplified formulas (lemma 4)
	simplifiedpimestimation.pairwisecoefficients(bh1$dta, out="y", group="x")$beta
	simplifiedpimestimation.pairwisecovariance(bh1$dta, out="y", group="x")
	#From applying generic code:
	bh1$pim1$coefficients
	bh1$pim1$vcov
	
	#Standardized BH based on Brown-Hettmansperger test
	bh1$legacy<-legacy.BrownHettmansperger(data=bh1$dta, out="y", group="x")
	bh1$legacy$statistic
	bh1$legacy$conversion(bh1$pim1$coefficients, bh1$pim1$vcov)
	classical.test(test="BrownHettmansperger", data=bh1$dta, out="y", group="x")$statistic


###################################################
### code chunk number 5: pim.legacy.Rnw:158-176
###################################################
	jt1<-demo.JonckheereTerpstra(force.balanced=FALSE)
	jt1$pim1<-pim(y~F(x)-1, data=jt1$dta, link="identity", poset=lexiposet, 
								varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0, 
								interpretation="regular")
	jt1$pim1
	
	#Simplified formulas (lemma 4)
	simplifiedpimestimation.pairwisecoefficients(jt1$dta, out="y", group="x")$beta
	simplifiedpimestimation.pairwisecovariance(jt1$dta, out="y", group="x")
	#From applying generic code:
	jt1$pim1$coefficients
	jt1$pim1$vcov
	
	#Standardized JT based on Jonckheere-Terpstra test
	jt1$legacy<-legacy.JonckheereTerpstra(data=jt1$dta, out="y", group="x", verbosity=1) 
	jt1$legacy$statistic
	jt1$legacy$conversion(jt1$pim1$coefficients, jt1$pim1$vcov)
	classical.test(test="JonckheereTerpstra", data=jt1$dta, out="y", group="x")$statistic


###################################################
### code chunk number 6: pim.legacy.Rnw:182-202
###################################################
	mw1<-demo.MackWolfe(force.balanced=FALSE)
	mw1$pim1<-pim(y~F(x)-1, data=mw1$dta, link="identity", poset=lexiposet, 
								varianceestimator=varianceestimator.H0(), keep.data=TRUE, verbosity=0, 
								interpretation="regular")
	mw1$pim1
	
	#Simplified formulas (lemma 4)
	simplifiedpimestimation.pairwisecoefficients(mw1$dta, out="y", group="x")$beta
	simplifiedpimestimation.pairwisecovariance(mw1$dta, out="y", group="x")
	#From applying generic code:
	mw1$pim1$coefficients
	mw1$pim1$vcov
	
	#Standardized MW based on Mack-Wolfe test
	mw1$legacy<-legacy.MackWolfe(data=mw1$dta, out="y", group="x", 
															 levelP=as.character(which.max(mw1$groupmeans)), verbosity=1)
	mw1$legacy$statistic
	mw1$legacy$conversion(mw1$pim1$coefficients, mw1$pim1$vcov)
	classical.test(test="MackWolfe", data=mw1$dta, out="y", group="x",
								 levelP=as.character(which.max(mw1$groupmeans)))$statistic


